--
-- Procedure to call an Oracle Application Submit_Request from a Oracle_Customer Business Object
--
-- This procedure creates a concurrent request and imports customer from the interface table. 
-- Oracle Application Log and out files are in respective directories. User can allow view the log and out files
-- with View request (log/out) option.
--

Create Or Replace Procedure Cw_Customer_Interface(pUserid Number, pResId Number, pApplication_id Number) Is
v_reqid number;
v_retval boolean;
begin
    v_retval:=FND_REQUEST.SET_MODE(DB_TRIGGER => TRUE);
    v_retval:=FND_REQUEST.SET_OPTIONS(IMPLICIT => 'ERROR');

    fnd_global.APPS_INITIALIZE(pUserid, pResId, PApplication_Id);
    v_reqid := Fnd_Request.Submit_request('AR', 'RACUST', '', sysdate, FALSE) ;
    if v_reqid=0 then
      raise_application_error(-20160, FND_MESSAGE.GET);
    end if;
end;