/*
	Copyright (c) 2001, CrossWorlds Software Inc., Burlingame, California, USA
				All rights reserved.

	FILE
	  event_package_oracle.sql

	DESCRIPTION
	This package provides functions for inserting a row in xworlds_events. 
	This is called by the individual triggers for each object (eg: PO, Item..).
	
	ARGUMENTS
	  To run the script type :  sqlplus <APPS>/<FND> @event_package_oracle.sql

	HISTORY
*/



---------------XWORLDS_EVENT_PK SPEC-------------------------------
 
CREATE OR REPLACE PACKAGE xworlds_event_pk AS

FUNCTION insert_event_f(
	connector_id_p	xworlds_events.connector_id%TYPE,
	object_key_p 	xworlds_events.object_key%TYPE,
	object_name_p	xworlds_events.object_name%TYPE,
	object_verb_p	xworlds_events.object_verb%TYPE,
	event_priority_p	xworlds_events.event_priority%TYPE)
	RETURN NUMBER;

END xworlds_event_pk;
/







--------------XWORLDS_EVENT_PK BODY------------------------

CREATE OR REPLACE PACKAGE BODY xworlds_event_pk AS



---------------- INSERT_EVENT_F -------------

FUNCTION insert_event_f(
 connector_id_p xworlds_events.connector_id%TYPE,
 object_key_p  xworlds_events.object_key%TYPE,
 object_name_p xworlds_events.object_name%TYPE,
 object_verb_p xworlds_events.object_verb%TYPE,
 event_priority_p xworlds_events.event_priority%TYPE)
RETURN NUMBER IS
 v_SimilarCounts NUMBER;
 tmp_object_verb	VARCHAR2(30);
BEGIN
 tmp_object_verb := object_verb_p;
 v_SimilarCounts :=0;
 SELECT count(*) INTO  v_SimilarCounts
 FROM xworlds_events
 WHERE object_name = object_name_p
        AND object_verb = object_verb_p
        AND object_key = object_key_p
        AND event_status != 3;
 IF object_verb_p = 'Physical Delete' THEN
   DELETE FROM xworlds_events
   WHERE object_name = object_name_p
          AND object_key = object_key_p
          AND event_status != 3;	
	tmp_object_verb := 'Delete';
 END IF;	
      IF v_SimilarCounts = 0 THEN
    INSERT INTO xworlds_events
  (event_id,
  connector_id,
  object_key,
  object_name,
  object_verb,
  event_priority,
  event_status)
    VALUES
  (s_xworlds_event_id.NEXTVAL,
  connector_id_p,
  object_key_p,
  object_name_p,
  tmp_object_verb,
  event_priority_p,
  0);
        END IF;
 RETURN(1);
EXCEPTION
 WHEN others THEN RETURN(0);
END insert_event_f;
END xworlds_event_pk;
/

/*
-------test for insert_event_f
declare
res number;
begin
res := xworlds_event_pk.insert_event_f(1,5,'name','verb',1);
dbms_output.put_line(to_char(res));
end;
*/
/



